%global super openlmi-proxy

Name: openlmi-proxy-schema
Version: 0.1.0
Release: 1%{dist}
Url: https://fedorahosted.org/openlmi/

Source1: http://dmtf.org/sites/default/files/cim/cim_schema_v2260/cim_schema_2.26.0Experimental-MOFs.zip
Source2: http://en.community.dell.com/techcenter/extras/m/white_papers/20314591/download.aspx#/LC14-DCIM-MOF.zip
Source3: http://en.community.dell.com/techcenter/extras/m/white_papers/20314595/download.aspx#/LC15-dcim-mof.zip
Source4: http://en.community.dell.com/techcenter/extras/m/white_papers/20314599/download.aspx#/LC20-dcim-mof.zip
Source5: http://en.community.dell.com/techcenter/extras/m/white_papers/20314604/download.aspx#/LC21-dcim-mof.zip

Group: Applications/System
BuildRequires: unzip
BuildArch: noarch

Summary: Provides all recognized proxied CIM models.
License: BSD DMTF

Requires: %{name}-lcbase226e
Requires: %{name}-lc14
Requires: %{name}-lc15
Requires: %{name}-lc20
Requires: %{name}-lc21

%description
Common Information Model (CIM) is a model for describing management information.
This is a dependency only package for all recognized and proxied CIM models.

%package lcbase226e
Summary: DMTF 2.26 experimental schema base of Lifecycle Controller.
License: DMTF
%description lcbase226e
Common Information Model (CIM) is a model for describing management information.
The base schema provides the model foundations itself.

Authors: DTMF <http://www.dmtf.org/about/contact>

%package lc14
Summary: Lifecycle Controller version 1.4 schema.
License: BSD
%description lc14
The schema provides model of Lifecycle Controller version 1.4 managed information.

%package lc15
Summary: Lifecycle Controller version 1.5 schema.
License: BSD
%description lc15
The schema provides model of Lifecycle Controller version 1.5 managed information.

%package lc20
Summary: Lifecycle Controller version 2.0 schema.
License: BSD
%description lc20
The schema provides model of Lifecycle Controller version 2.0 managed information.

%package lc21
Summary: Lifecycle Controller version 2.1 schema.
License: BSD
%description lc21
The schema provides model of Lifecycle Controller version 2.1 managed information.

%prep
%setup -q -T -a 1 -c -n %{name}-%{version}-lcbase226e
%setup -q -T -a 2 -c -n %{name}-%{version}-lc14
%setup -q -T -a 3 -c -n %{name}-%{version}-lc15
%setup -q -T -a 4 -c -n %{name}-%{version}-lc20
%setup -q -T -a 5 -c -n %{name}-%{version}-lc21
%setup -q -T -c -n %{name}-%{version}

%build
%install
LCMOF=%{_datadir}/%{super}/mof
LCLIC=%{_defaultdocdir}/%{name}

%__rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/$LCMOF/
install -d $RPM_BUILD_ROOT/$LCLIC-lc14-%{version}
install -d $RPM_BUILD_ROOT/$LCLIC-lc15-%{version}
install -d $RPM_BUILD_ROOT/$LCLIC-lc20-%{version}
install -d $RPM_BUILD_ROOT/$LCLIC-lc21-%{version}
chmod -R go-wx .
chmod -R a+rX .
%__mv ../%{buildsubdir}-lcbase226e $RPM_BUILD_ROOT/$LCMOF/lcbase226e
%__mv ../%{buildsubdir}-lc14/dcim-mof-license.txt $RPM_BUILD_ROOT/$LCLIC-lc14-%{version}/
%__mv ../%{buildsubdir}-lc14/ $RPM_BUILD_ROOT/$LCMOF/lc14
%__mv ../%{buildsubdir}-lc15/dcim-mof-license.txt $RPM_BUILD_ROOT/$LCLIC-lc15-%{version}/
%__mv ../%{buildsubdir}-lc15/ $RPM_BUILD_ROOT/$LCMOF/lc15
%__mv ../%{buildsubdir}-lc20/dcim-mof-license.txt $RPM_BUILD_ROOT/$LCLIC-lc20-%{version}/
%__mv ../%{buildsubdir}-lc20/ $RPM_BUILD_ROOT/$LCMOF/lc20
%__mv ../%{buildsubdir}-lc21/dcim-mof-license.txt $RPM_BUILD_ROOT/$LCLIC-lc21-%{version}/
%__mv ../%{buildsubdir}-lc21/ $RPM_BUILD_ROOT/$LCMOF/lc21

for i in `find . -name "*.mof"`; do
  sed -i -e 's/\r//g' $i
done

%files

%files lcbase226e
%dir %{_datarootdir}/%{super}/mof/lcbase226e
%{_datarootdir}/%{super}/mof/lcbase226e/*
%files lc14
%dir %{_datarootdir}/%{super}/mof/lc14
%doc %{_defaultdocdir}/%{name}-lc14-%{version}/dcim-mof-license.txt
%{_datarootdir}/%{super}/mof/lc14/*
%files lc15
%dir %{_datarootdir}/%{super}/mof/lc15
%doc %{_defaultdocdir}/%{name}-lc15-%{version}/dcim-mof-license.txt
%{_datarootdir}/%{super}/mof/lc15/*
%files lc20
%dir %{_datarootdir}/%{super}/mof/lc20
%doc %{_defaultdocdir}/%{name}-lc20-%{version}/dcim-mof-license.txt
%{_datarootdir}/%{super}/mof/lc20/*
%files lc21
%dir %{_datarootdir}/%{super}/mof/lc21
%doc %{_defaultdocdir}/%{name}-lc21-%{version}/dcim-mof-license.txt
%{_datarootdir}/%{super}/mof/lc21/*

%changelog
* Mon Mar 11 2013 Ales Ledvinka <aledvink@redhat.com> - 0.1.0-1
- Initial Release
